# Method: customers.devices.move

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/move#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/move#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/move#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/move#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/move#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/move#body.aspect)

Moves a `https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device` under another `https://developers.google.com/spectrum-access-system/reference/rest/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/{name=customers/*/devices/*}:move`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the device to move. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "destination": string } ``` |

| Fields ||
|---|---|
| `destination` | `string` Required. The name of the new parent resource (Node or Customer) to reparent the device under. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`